---
afs_realm: EXTRANET.PROLOGIN.ORG
afs_cell: extranet.prologin.org

afs_kdc_servers: kdc.extranet.prologin.org
afs_kadmin_server: "{{ afs_kdc_servers }}"

afs_csdb:
  cell: extranet.prologin.org
  desc: Extranet prologin
  hosts:
    - ip: 10.201.13.88
      name: afs-0.extranet.prologin.org
      clone: false

afs_pseudo_partitions:
  - a

afs_admin:
  - adrien.langou
  - leo.portemont

afs_fileserver_type: dafs

afs_netinfo: "{{ ansible_all_ipv4_addresses }}"
afs_server_netinfo: "{{ afs_netinfo }}"
afs_client_netinfo: "{{ afs_netinfo }}"

afs_install_method: managed
afs_module_install_method: dkms

afs_service_keytab_externally_managed: true
afs_service_keytab: "{{ lookup('community.hashi_vault.hashi_vault', 'infra/data/afs/keytab')['keytab'] | b64decode }}"

afs_ptserver_opts: -allow-dotted-principals
afs_vlserver_opts: -allow-dotted-principals -d 1
afs_dafileserver_opts: -p 16 -rxpck 400 -s 1200 -l 1200 -cb 65535 -b 240 -vc 1200 -allow-dotted-principals -d 1
afs_davolserver_opts: -allow-dotted-principals -d 1
